%define gnome_menus 3.2.0.1

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Simple menu editor for Gnome
Name:		alacarte
Version:	3.10.0
Release:	%mkrel 3
Group:		System/Configuration
License:	LGPLv2+
URL:		http://www.realistanew.com/projects/alacarte/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	%{name}-icons.tar.bz2
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	pkgconfig(libgnome-menu-3.0) >= %gnome_menus
BuildRequires:	intltool
BuildRequires:	pkgconfig(pygobject-3.0)
Provides:	smeg = %{version}-%{release}
Requires:	python-gi

%description
Alacarte is a menu editor for GNOME that lets you get things done,
simply and quickly.

Just click and type to edit, add, and delete any menu entry.

%prep
%setup -q -a1

%build
%configure2_5x -prefix=%{_prefix} --libdir=%{_prefix}/lib
#./configure --prefix=%_prefix --libdir=%_prefix/lib
%make

%install
%makeinstall_std

%find_lang %name --with-gnome

desktop-file-install --vendor="" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%__install -D -m 644 %{name}48.png %{buildroot}%{_liconsdir}/%{name}.png
%__install -D -m 644 %{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
%__install -D -m 644 %{name}16.png %{buildroot}%{_miconsdir}/%{name}.png

%files -f %{name}.lang
%doc README AUTHORS COPYING
%py_puresitedir/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/*/%{name}.png
%{_iconsdir}/%{name}.png


%changelog
* Sat Nov 02 2013 fwang <fwang> 3.10.0-3.mga4
+ Revision: 548850
- add requires on python-gi

* Sun Oct 20 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536774
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485534
- new version 3.10.0

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474842
- new version 3.9.91

* Fri May 24 2013 dams <dams> 3.7.90-1.mga4
+ Revision: 426199
- new version 3.7.90

  + fwang <fwang>
    - update rpm group

  + ovitters <ovitters>
    - new version 3.7.3

* Fri Jan 11 2013 umeabot <umeabot> 3.7.2-2.mga3
+ Revision: 345505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 ovitters <ovitters> 3.7.2-1.mga3
+ Revision: 327834
- new version 3.7.2

* Wed Oct 17 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307724
- new version 3.6.1

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279580
- new version 3.5.5

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271651
- new version 3.5.4

* Fri Jun 29 2012 ovitters <ovitters> 3.5.3-2.mga3
+ Revision: 264892
- Fix requires

* Sun Jun 24 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263331
- drop upstream patch
- new version 3.5.3

* Wed Jun 13 2012 ovitters <ovitters> 0.13.4-2.mga3
+ Revision: 260259
- add patch to fix typo

* Sat Jun 02 2012 ovitters <ovitters> 0.13.4-1.mga3
+ Revision: 253426
- update requires, buildrequires
- new version 0.13.4

* Wed May 23 2012 ovitters <ovitters> 0.13.3-1.mga3
+ Revision: 236006
- use xz tarball
- new version 0.13.3
- clean spec

* Sat Jan 22 2011 blino <blino> 0.13.2-3.mga1
+ Revision: 32665
- imported package alacarte

